| openPilotLog

Public Types | Public Member Functions | List of all members
ACurrencyEntry Struct Reference
Inheritance diagram for ACurrencyEntry:

## Public Types
enum class | CurrencyName { Licence = 1 , TypeRating = 2 , LineCheck = 3 , Medical = 4 , Custom1 = 5 , Custom2 = 6 }

## Public Member Functions
| ACurrencyEntry (CurrencyName name)
| ACurrencyEntry::ACurrencyEntry Creates an ACurrenyEntry object. More...
| ACurrencyEntry (CurrencyName name, QDate expiration_date)
| ACurrencyEntry (const ACurrencyEntry &te)=default
ACurrencyEntry & | operator= (const ACurrencyEntry &te)=default
bool | isValid () const
| ACurrencyEntry::isValid returns true if the object holds a valid expiration date. More...
Public Member Functions inherited from AEntry
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (RowData_T table_data)
| AEntry (DataPosition position_, RowData_T table_data)
void | setData (RowData_T table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition () const
const RowData_T & | getData () const
| operator QString () const
| operator QString provides compatibilty with QDebug() - prints the tableData in a readable formatting to stdout

## Additional Inherited Members
Public Attributes inherited from AEntry
RowData_T | tableData
Protected Attributes inherited from AEntry
DataPosition | position

## Constructor & Destructor Documentation

## ◆ ACurrencyEntry()

ACurrencyEntry::ACurrencyEntry | ( | ACurrencyEntry::CurrencyName | currency_name | ) |

ACurrencyEntry::ACurrencyEntry Creates an ACurrenyEntry object.

The Data Position is initalized by using the strongly typed enum CurrencyName, which maps to the static row id for the currency.

## Member Function Documentation

## ◆ isValid()

bool ACurrencyEntry::isValid | ( |  | ) | const

ACurrencyEntry::isValid returns true if the object holds a valid expiration date.

Unless a user has previously entered an expiration date, this will return false.

Returns

The documentation for this struct was generated from the following files:

- src/classes/acurrencyentry.h
- src/classes/acurrencyentry.cpp